Module java.base
Package java.io

## Class ObjectStreamException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.ObjectStreamException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `InvalidClassException`, `InvalidObjectException`, `NotActiveException`, `NotSerializableException`, `OptionalDataException`, `StreamCorruptedException`, `WriteAbortedException`

      public abstract class ObjectStreamException
      extends IOException

  Superclass of all exceptions specific to Object Stream classes.
  Since:
    1.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ObjectStreamException​()` | Create an ObjectStreamException.
    `protected` | `ObjectStreamException​(String message)` | Create an ObjectStreamException with the specified argument.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### ObjectStreamException

          protected ObjectStreamException​(String message)

      Create an ObjectStreamException with the specified argument.
      Parameters:
        `message` - the detailed message for the exception

    - #### ObjectStreamException

          protected ObjectStreamException​()

      Create an ObjectStreamException.